netCDF {xcms} | R Documentation

## High-performance, low-level access to NetCDF data files

### Description

Functions for low-level access to numerical data in NetCDF files. They have been optimized for maximum speed and memory efficiency.

### Usage

    netCDFStrError(ncerr)
    netCDFIsFile(filename)
    netCDFOpen(filename)
    netCDFClose(ncid)
    netCDFVarID(ncid, var)
    netCDFVarLen(ncid, var)
    netCDFVarDouble(ncid, var)
    netCDFVarInt(ncid, var)
    netCDFMSPoints(ncid, scanIndex)
    netCDFRawData(ncid)

### Arguments

`filename` | path to NetCDF file
`ncid` | NetCDF file ID
`var` | NetCDF variable ID or variable name
`scanIndex` | double vector with `scan_index` from CDF file

### Details

The mechanisms and structure of NetCDF files are not discussed here, please se the NetCDF documentation for more information.

### Value

`netCDFStrError` returns the textual description of an error code.
`netCDFIsFile` returns `TRUE` if the referenced file is a NetCDF file and `FALSE` otherwise.
`netCDFOpen` returns the `ncid` of the opened file.
`netCDFClose` returns the closing status.
`netCDFVarID` returns the variable ID.
`netCDFVarLen` returns the variable length.
`netCDFVarDouble` and `netCDFVarInt` return either double or integer numeric vectors.
`netCDFMSPoints` returns a list with elements `massValues` and `intensityValues`, with the masses for each scan in ascending order.
`netCDFRawData` returns a named list with components `rt`, `tic`, `scanindex`, `mz`, and `intensity`.
An error in any of the functions will return an integer error code with attribute `errortext` containing the error description

### Author(s)

Colin A. Smith, csmith@scripps.edu

### References

NetCDF file format: http://my.unidata.ucar.edu/content/software/netcdf/

[Package xcms version 1.16.3 Index]